| ⚠️ Note |
| This API endpoint has been deprecated, please update to the latest version. |
Create a new case button on a specified case. This does not overwrite other buttons that may exist on the case.
HTTP Method: POST
| Parameter |
Description |
| url |
The URL of the case button (webhook or page URL). |
| label |
User specified field to identify the case button. |
| button_type |
The case button type (webhook or page). |
| button_text |
Optional The text for the button to execute the action. |
| Path Parameter |
Description |
| case_id |
ID of the case. |
curl -X POST \
https://<tenant-domain>/api/v1/cases/<<case_id>>/buttons \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
-d '{
"url": "https://example.tines.com",
"label": "label",
"button_type": "webhook",
"button_text": "Open form"
}'
A successful request will return a JSON object describing the newly created case button.
| Parameter |
Description |
| case_id |
The case ID. |
| id |
The case button ID. |
| url |
The URL of the case button. |
| label |
The label of the case button. |
| button_type |
The case button type (webhook or page). |
| button_text |
The text for the button to execute the action. |
| story_name |
Will be populated if the URL matches that of a page or webhook in an existing story. |
| story_emoji |
The associated story's emoji icon. |
| page_emoji |
The associated page's emoji icon. |
| created_at |
ISO 8601 Timestamp representing creation date and time of the case button. |
| updated_at |
ISO 8601 Timestamp representing last updated date and time of case button. |
{
"case_id": 42,
"id": 1,
"url": "https://tenant.tines.com/webhook/abc/",
"label": "Claim case",
"story_name": "Case Management",
"story_emoji": ":fire:",
"page_emoji": null,
"button_type": "webhook",
"button_text": "Claim",
"created_at": "2023-10-31T15:42:00Z",
"updated_at": "2023-10-31T16:42:00Z"
}